﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="PushBox.MainPage">

    <ContentPage.ToolbarItems>
        <ToolbarItem Text="重置" ToolTipProperties.Text="重置" IconImageSource="reset.png" />
        <ToolbarItem Text="后退" IconImageSource="backstep.png" />
        <ToolbarItem Text="前关" IconImageSource="prevlevel.png" />
        <ToolbarItem Text="后关" IconImageSource="nextlevel.png" />
    </ContentPage.ToolbarItems>

    <VerticalStackLayout>
        <HorizontalStackLayout>
            <Button ImageSource="box.png" />
            <Label Text=" " />
            <Button ImageSource="savestep.png" />
            <Label Text=" " />
            <Button ImageSource="replay.png" Clicked="OnReplayClicked" />

        </HorizontalStackLayout>

        <Image
            Source="dotnet_bot.png"
            HeightRequest="185"
            Aspect="AspectFit"
            SemanticProperties.Description="dot net bot in a hovercraft number nine" />

        <Label
            Text="Hello, World!"
            Style="{StaticResource Headline}"
            SemanticProperties.HeadingLevel="Level1" />

        <Label
            Text="Welcome to &#10;.NET Multi-platform App UI"
            Style="{StaticResource SubHeadline}"
            SemanticProperties.HeadingLevel="Level2"
            SemanticProperties.Description="Welcome to dot net Multi platform App U I" />

        <Button
            x:Name="CounterBtn"
            Text="Click me" 
            SemanticProperties.Hint="Counts the number of times you click"
            Clicked="OnCounterClicked"
            HorizontalOptions="Fill" />

        <HorizontalStackLayout>
            <Label Text=">" />
            <Label Text=" " />
            <Label x:Name="LevelLabel" Text="52/100" />
            <Label Text=" " />
            <Label Text="16x9" />
            <Label Text=" " />
            <Label Text="6/11" />
            <Label Text=" " />
            <Label Text="0(0)" />
            <Label Text=" " />
            <Label Text="[181(46)]" />
            <Label Text=" " />
            <Label Text="仓库世家" />
        </HorizontalStackLayout>

    </VerticalStackLayout>

</ContentPage>
